Package com.destroystokyo.paper.event.player

# Class PlayerClientOptionsChangeEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
com.destroystokyo.paper.event.player.PlayerClientOptionsChangeEvent

public class PlayerClientOptionsChangeEvent extends PlayerEvent
Called when the player changes his client settings

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerClientOptionsChangeEvent(@NotNull Player player, @NotNull String locale, int viewDistance, @NotNull ClientOption.ChatVisibility chatVisibility, boolean chatColors, @NotNull SkinParts skinParts, @NotNull MainHand mainHand)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ClientOption.ChatVisibility`
`getChatVisibility()`
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull String`
`getLocale()`
`@NotNull MainHand`
`getMainHand()`
`@NotNull SkinParts`
`getSkinParts()`
`int`
`getViewDistance()`
`boolean`
`hasChatColorsEnabled()`
`boolean`
`hasChatColorsEnabledChanged()`
`boolean`
`hasChatVisibilityChanged()`
`boolean`
`hasLocaleChanged()`
`boolean`
`hasMainHandChanged()`
`boolean`
`hasSkinPartsChanged()`
`boolean`
`hasViewDistanceChanged()`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerClientOptionsChangeEvent

public PlayerClientOptionsChangeEvent(@NotNull @NotNull Player player, @NotNull @NotNull String locale, int viewDistance, @NotNull @NotNull ClientOption.ChatVisibility chatVisibility, boolean chatColors, @NotNull @NotNull SkinParts skinParts, @NotNull @NotNull MainHand mainHand)

## Method Details

### getLocale

@NotNull public @NotNull String getLocale()

### hasLocaleChanged

public boolean hasLocaleChanged()

### getViewDistance

public int getViewDistance()

### hasViewDistanceChanged

public boolean hasViewDistanceChanged()

### getChatVisibility

@NotNull public @NotNull ClientOption.ChatVisibility getChatVisibility()

### hasChatVisibilityChanged

public boolean hasChatVisibilityChanged()

### hasChatColorsEnabled

public boolean hasChatColorsEnabled()

### hasChatColorsEnabledChanged

public boolean hasChatColorsEnabledChanged()

### getSkinParts

@NotNull public @NotNull SkinParts getSkinParts()

### hasSkinPartsChanged

public boolean hasSkinPartsChanged()

### getMainHand

@NotNull public @NotNull MainHand getMainHand()

### hasMainHandChanged

public boolean hasMainHandChanged()

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()